Search documentation of phoenix_kit

# PhoenixKitWeb.Components.Core.Icons (phoenix_kit v1.6.19)

View Source

Provides icons for other components and interfaces.

# Summary

## Functions

icon_activity(assigns)

Activity/Sessions icon component.

icon_apple(assigns)

Apple icon component.

icon_arrow_left(assigns)

A component for an arrow to left.

icon_auto_refresh_off(assigns)

Auto-refresh OFF icon component (arrows in opposite directions).

icon_auto_refresh_on(assigns)

Auto-refresh ON icon component (clock with arrow).

icon_ban(assigns)

Ban/disable icon component (X with strikethrough).

icon_check(assigns)

Check icon component.

icon_check_circle_filled(assigns)

Check circle filled icon component.

icon_check_circle_outline(assigns)

Check circle outline icon component.

icon_clock(assigns)

Clock icon component with hands.

icon_clock_expired(assigns)

Expired clock icon component.

icon_copy(assigns)

Copy icon component (document with plus).

icon_crown(assigns)

Crown icon component for system owners.

icon_dark(assigns)

Dark theme icon component (moon).

icon_dashboard(assigns)

Dashboard icon component.

icon_default(assigns)

Default icon component for unknown icon types.

icon_document(assigns)

Document/Pages icon component for pages module.

icon_download(assigns)

Download icon component (arrow down with cloud).

icon_duplicate(assigns)

Duplicate icon component (two overlapping documents).

icon_edit(assigns)

Edit icon component (pencil for editing).

icon_email(assigns)

Email icon component.

icon_empty_inbox(assigns)

Empty inbox icon component.

icon_entities(assigns)

Entities icon component for entities module.

icon_error_circle(assigns)

Error circle icon component with X.

icon_eye(assigns)

Eye icon component for viewing/visibility.

icon_facebook(assigns)

Facebook icon component.

icon_folder(assigns)

Folder icon component.

icon_github(assigns)

GitHub icon component.

icon_google(assigns)

Google icon component.

icon_info(assigns)

Info icon component.

icon_info_circle_filled(assigns)

Info filled icon component (filled circle with exclamation).

icon_info_filled(assigns)

Info filled icon component.

icon_language(assigns)

Language/Globe icon component for language module.

icon_light(assigns)

Light theme icon component (sun).

icon_link(assigns)

Link icon component for connected accounts.

icon_live_sessions(assigns)

Live sessions icon component.

icon_lock(assigns)

Lock icon component (padlock for security).

icon_login(assigns)

Login icon component (arrow entering a door).

icon_logout(assigns)

Logout icon component.

icon_menu(assigns)

Menu icon component (hamburger).

icon_modules(assigns)

Modules icon component.

icon_move(assigns)

Move icon component (arrows in/out).

icon_plus(assigns)

Plus icon component (add/create action).

icon_referral_codes(assigns)

Referral codes icon component.

icon_refresh(assigns)

Refresh/Reload icon component.

icon_roles(assigns)

Roles icon component.

icon_search(assigns)

Search icon component (magnifying glass).

icon_sessions(assigns)

Sessions icon component.

icon_settings(assigns)

Settings icon component.

icon_shield(assigns)

Shield icon component.

icon_sort_asc(assigns)

Sort ascending icon component (arrow up).

icon_sort_desc(assigns)

Sort descending icon component (arrow down).

icon_star(assigns)

Star icon component for administrators.

icon_system(assigns)

System theme icon component (monitor).

icon_trash(assigns)

Trash icon component (delete action).

icon_user_add(assigns)

User add icon component (user with plus sign).

icon_user_anonymous(assigns)

Anonymous user icon component.

icon_user_profile(assigns)

User profile icon component.

icon_user_simple(assigns)

Simple user icon component.

icon_users(assigns)

Users icon component.

icon_users_multiple(assigns)

Multiple users icon component.

icon_warning(assigns)

Warning triangle icon component.

icon_warning_filled(assigns)

Warning icon component (filled triangle).

icon_x(assigns)

X/Close icon component.

icon_x_circle_filled(assigns)

X circle filled icon component.

icon_x_thin(assigns)

X thin icon component for closing/canceling.

# Functions

# icon_activity(assigns)

Activity/Sessions icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_apple(assigns)

Apple icon component.

## Attributes

- `class` (`:string`) - Defaults to `"h-5 w-5"`.

# icon_arrow_left(assigns)

A component for an arrow to left.

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4 mr-2"`.

# icon_auto_refresh_off(assigns)

Auto-refresh OFF icon component (arrows in opposite directions).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4 mr-1"`.

# icon_auto_refresh_on(assigns)

Auto-refresh ON icon component (clock with arrow).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4 mr-1"`.

# icon_ban(assigns)

Ban/disable icon component (X with strikethrough).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4"`.

# icon_check(assigns)

Check icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4 inline mr-1"`.
- `data-theme-active-indicator` (`:boolean`) - Defaults to `false`.

# icon_check_circle_filled(assigns)

Check circle filled icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_check_circle_outline(assigns)

Check circle outline icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_clock(assigns)

Clock icon component with hands.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_clock_expired(assigns)

Expired clock icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_copy(assigns)

Copy icon component (document with plus).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4"`.

# icon_crown(assigns)

Crown icon component for system owners.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_dark(assigns)

Dark theme icon component (moon).

## Attributes

- `class` (`:string`) - Defaults to `"size-4 opacity-75 hover:opacity-100"`.

# icon_dashboard(assigns)

Dashboard icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_default(assigns)

Default icon component for unknown icon types.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_document(assigns)

Document/Pages icon component for pages module.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_download(assigns)

Download icon component (arrow down with cloud).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4"`.

# icon_duplicate(assigns)

Duplicate icon component (two overlapping documents).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4"`.

# icon_edit(assigns)

Edit icon component (pencil for editing).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4"`.

# icon_email(assigns)

Email icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_empty_inbox(assigns)

Empty inbox icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-16 h-16 mx-auto mb-4"`.

# icon_entities(assigns)

Entities icon component for entities module.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_error_circle(assigns)

Error circle icon component with X.

## Attributes

- `class` (`:string`) - Defaults to `"stroke-current shrink-0 h-6 w-6"`.

# icon_eye(assigns)

Eye icon component for viewing/visibility.

## Attributes

- `class` (`:string`) - Defaults to `"w-8 h-8 mr-3"`.

# icon_facebook(assigns)

Facebook icon component.

## Attributes

- `class` (`:string`) - Defaults to `"h-5 w-5"`.

# icon_folder(assigns)

Folder icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_github(assigns)

GitHub icon component.

## Attributes

- `class` (`:string`) - Defaults to `"h-5 w-5"`.

# icon_google(assigns)

Google icon component.

## Attributes

- `class` (`:string`) - Defaults to `"h-5 w-5"`.

# icon_info(assigns)

Info icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5 mt-0.5 text-info"`.

# icon_info_circle_filled(assigns)

Info filled icon component (filled circle with exclamation).

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_info_filled(assigns)

Info filled icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_language(assigns)

Language/Globe icon component for language module.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_light(assigns)

Light theme icon component (sun).

## Attributes

- `class` (`:string`) - Defaults to `"size-4 opacity-75 hover:opacity-100"`.

# icon_link(assigns)

Link icon component for connected accounts.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_live_sessions(assigns)

Live sessions icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_lock(assigns)

Lock icon component (padlock for security).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4"`.

# icon_login(assigns)

Login icon component (arrow entering a door).

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5 mr-2"`.

# icon_logout(assigns)

Logout icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-3 h-3"`.

# icon_menu(assigns)

Menu icon component (hamburger).

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_modules(assigns)

Modules icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_move(assigns)

Move icon component (arrows in/out).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4"`.

# icon_plus(assigns)

Plus icon component (add/create action).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4"`.

# icon_referral_codes(assigns)

Referral codes icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_refresh(assigns)

Refresh/Reload icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4 mr-1"`.

# icon_roles(assigns)

Roles icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_search(assigns)

Search icon component (magnifying glass).

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_sessions(assigns)

Sessions icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_settings(assigns)

Settings icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_shield(assigns)

Shield icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5 text-primary-content"`.

# icon_sort_asc(assigns)

Sort ascending icon component (arrow up).

## Attributes

- `class` (`:string`) - Defaults to `"w-3 h-3"`.

# icon_sort_desc(assigns)

Sort descending icon component (arrow down).

## Attributes

- `class` (`:string`) - Defaults to `"w-3 h-3"`.

# icon_star(assigns)

Star icon component for administrators.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_system(assigns)

System theme icon component (monitor).

## Attributes

- `class` (`:string`) - Defaults to `"size-4 opacity-75 hover:opacity-100"`.

# icon_trash(assigns)

Trash icon component (delete action).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4"`.

# icon_user_add(assigns)

User add icon component (user with plus sign).

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4 mr-2"`.

# icon_user_anonymous(assigns)

Anonymous user icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_user_profile(assigns)

User profile icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_user_simple(assigns)

Simple user icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_users(assigns)

Users icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-5 h-5"`.

# icon_users_multiple(assigns)

Multiple users icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_warning(assigns)

Warning triangle icon component.

## Attributes

- `class` (`:string`) - Defaults to `"stroke-current shrink-0 h-5 w-5"`.

# icon_warning_filled(assigns)

Warning icon component (filled triangle).

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6 text-yellow-600 dark:text-warning mt-0.5"`.

# icon_x(assigns)

X/Close icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-4 h-4 mr-2"`.

# icon_x_circle_filled(assigns)

X circle filled icon component.

## Attributes

- `class` (`:string`) - Defaults to `"w-6 h-6"`.

# icon_x_thin(assigns)

X thin icon component for closing/canceling.

## Attributes

- `class` (`:string`) - Defaults to `"w-3 h-3"`.